Get Family Attribute
curl --request GET \
--url https://wisepim.com/api/public/v1/family-attributes/{binding_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://wisepim.com/api/public/v1/family-attributes/{binding_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wisepim.com/api/public/v1/family-attributes/{binding_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"family": 123,
"attribute": 123,
"is_required": true,
"sort_order": 123,
"is_variant_axis": true,
"is_differentiator": true,
"default_value": "<unknown>",
"validation_override": {},
"display_sequence": 123,
"filter_sequence": 123,
"value_code_set_override": 123,
"allowed_value_codes": [
"<string>"
],
"uom_code_set_override": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Get Family Attribute
GET /family-attributes/. Required scopes: family-attributes:read.
GET
/
api
/
public
/
v1
/
family-attributes
/
{binding_id}
Get Family Attribute
curl --request GET \
--url https://wisepim.com/api/public/v1/family-attributes/{binding_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://wisepim.com/api/public/v1/family-attributes/{binding_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wisepim.com/api/public/v1/family-attributes/{binding_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"family": 123,
"attribute": 123,
"is_required": true,
"sort_order": 123,
"is_variant_axis": true,
"is_differentiator": true,
"default_value": "<unknown>",
"validation_override": {},
"display_sequence": 123,
"filter_sequence": 123,
"value_code_set_override": 123,
"allowed_value_codes": [
"<string>"
],
"uom_code_set_override": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.
Path Parameters
Response
OK

